This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 445001 - crashes with traceback at startup
crashes with traceback at startup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: skencil (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 13:33 EDT by Michael Krauss
Modified: 2008-06-16 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 12:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Krauss 2008-05-02 13:33:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
skencil crashes directly at the start with a python backtrace.


Version-Release number of selected component (if applicable):
skencil-0.6.17-18.20070606svn.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1. try to start skencil


Actual Results:
[mickraus@gandalf ~]$ skencil
shared memory images supported
Could not load font '-misc-fixed-medium-*-*-*-11-*-*-*-*-*-iso8859-1' for ruler. using defaults.
Traceback (most recent call last):
  File "/usr/bin/skencil", line 34, in <module>
    Sketch.main.main()
  File "/usr/lib64/skencil-0.6.17/Sketch/Base/main.py", line 148, in main
    run_script = options.run_script)
  File "/usr/lib64/skencil-0.6.17/Sketch/UI/skapp.py", line 183, in __init__
    self.build_window()
  File "/usr/lib64/skencil-0.6.17/Sketch/UI/skapp.py", line 223, in build_window
    self.run_script)
  File "/usr/lib64/skencil-0.6.17/Sketch/UI/mainwindow.py", line 97, in __init__
    self.build_window()
  File "/usr/lib64/skencil-0.6.17/Sketch/UI/mainwindow.py", line 592, in build_window
    hrule = ruler.Ruler(root, orient = ruler.HORIZONTAL)
  File "/usr/lib64/skencil-0.6.17/Sketch/UI/ruler.py", line 68, in __init__
    font = self.tkwin.LoadQueryFont('fixed')
AttributeError: Ruler instance has no attribute 'tkwin'

Expected Results:
skencil should start

Additional info:
Comment 1 Bug Zapper 2008-05-14 06:32:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Gérard Milmeister 2008-06-06 15:24:59 EDT
This may be be a problem with tcltk 8.5. Some hints can be found in:
http://lists.wald.intevation.org/pipermail/skencil-devel/2007-May/000019.html
Unfortunately, I have not yet been able to make it work.
Comment 3 Gérard Milmeister 2008-06-16 12:40:25 EDT
Unfortunately, skencil will not run anymore with tcltk 8.5. Therefore there will
be no package for Fedora anymore.

Note You need to log in before you can comment on or make changes to this bug.